| Home | Libraries | People | FAQ | More

## Struct template pack_options

boost::intrusive::pack_options

## Synopsis

    // In header: <boost/intrusive/options.hpp>

    template<typename DefaultOptions, typename O1 = none, typename O2 = none,
             typename O3 = none, typename O4 = none, typename O5 = none,
             typename O6 = none, typename O7 = none, typename O8 = none,
             typename O9 = none, typename O10 = none, typename O11 = none>
    struct pack_options {
      // types
      typedef do_pack< typename do_pack< typename do_pack< typename do_pack< typename do_pack< typename do_pack< typename do_pack< typename do_pack< typename do_pack< typename do_pack< typename do_pack< DefaultOptions, O1 >::type, O2 >::type, O3 >::type, O4 >::type, O5 >::type, O6 >::type, O7 >::type, O8 >::type, O9 >::type, O10 >::type, O11 >::type type;
    };